Subject: bug#44131: 28.0.50; emacsclient Invalid socket owner error in gccemacs

From: Andrea Corallo <[email-masked]>
Date: Thu, 22 Oct 2020 20:41:19 +0000

Andrew Eggenberger <[email-masked]> writes:

> The emacsclient binary produced by the native-comp branch cannot connect
> to the server. When a connection is attempted, the error message
> "emacsclient: Invalid socket owner" is displayed. I have 27.1 without
> native-comp installed, and that emacsclient can connect to the
> native-comp server without issue.
>
> The error is the result of a failed uid comparison in
> lib-src/emacsclient.c. It appears that the uid produced by geteuid()
> isn't matching the uid for the server socket.
>
> I first noticed the issue while trying to do a magit commit. But the
> same error happens when trying to run emacsclient from the command line.

Hi Andrew,

thanks for reporting.  I believe this should not be related to the
native compilaiton (BTW for me it works, I always use emacsclient).

Could you try if you get the same error building master?

Thanks!

  Andrea